FAQ  |  Search  |  Register  |  Profile  |  Log in to check your private messages  |  Log in

phpMyAdmin - mcrypt error and a couple other warnings

 
Post new topic   Reply to topic    Aprelium Forum Index -> Databases
View previous topic :: View next topic  
Author Message
Wandering Voice
-


Joined: 11 Nov 2009
Posts: 2
Location: Wisconsin

PostPosted: Tue Aug 31, 2010 7:23 pm    Post subject: phpMyAdmin - mcrypt error and a couple other warnings Reply with quote

Ive just installed PHP Version 5.2.10 (provided by Aprelium), phpMyAdmin Version 3.3.7 and MySQL Version 5.1.50 on WinXP.

Im using Abyss X1 (v2.6) and everything seems to be working... but when I go to phpMyAdmin I see the error "Cannot load mcrypt extension. Please check your PHP configuration." *this is a dev environment on my local machine.

Ive followed the tutorial from AbyssUnderground (Thank you, BTW) for installing phpMyAdmin and in the config.inc.php file, have found the line
Code:
$cfg['McryptDisableWarning'] = false;

If I set this to true, the error goes away, but am not sure if mcrypt is needed or by ignoring the error what problems it may cause. Can anyone shed some light on this?

I receive two other warnings -

1) Your PHP MySQL library version 5.0.51a differs from your MySQL server version 5.1.50. This may cause unpredictable behavior.

Is this something I should worry about?

2) The additional features for working with linked tables have been deactivated. To find out why click here.

'here' links to a page with a handful of config variables stating 'not OK'. I am not sure if these will cause problems. If needed I can show a screen shot.

Thanks for any assistance that can be offered.
Back to top
View user's profile Send private message Visit poster's website
aprelium-support
-


Joined: 20 Feb 2009
Posts: 348

PostPosted: Wed Sep 01, 2010 11:18 am    Post subject: Re: phpMyAdmin - mcrypt error and a couple other warnings Reply with quote

Wandering Voice,

Obviously, the mcrypt extension is not enabled in your PHP installation.
In order to do this, you can follow the tutorial on our website
<http://www.aprelium.com/abyssws/php5win.html>.

Please go directly to the "Notes about php.ini" section and apply the
instructions about enabling other extensions:
* open with a text editor your PHP initialization file "php.ini" (in your PHP installation directory).
* Locate the line “;extension=php_mcrypt.dll” and uncomment it (by removing the ";").
* Save the file and restart Abyss Web Server to ensure that PHP is reloaded with the new configuration.

It is recommended to have PHP and MySQL compatible version, try to install the MySQL 5.0 version and perform another test.


We'll be waiting for your feedback.
_________________
Support Team
Aprelium - http://www.aprelium.com
Back to top
View user's profile Send private message Visit poster's website
Wandering Voice
-


Joined: 11 Nov 2009
Posts: 2
Location: Wisconsin

PostPosted: Wed Sep 01, 2010 3:45 pm    Post subject: Reply with quote

Thank you very much.

I enabled mcrypt and had replaced MySQL 5.1.50 with 5.0.51a and everything seems to be working.
Back to top
View user's profile Send private message Visit poster's website
Display posts from previous:   
Post new topic   Reply to topic    Aprelium Forum Index -> Databases All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB phpBB Group